package com.pcloud.book.guide.mapper;

import com.pcloud.book.guide.entity.PcloudRobotWakeup;
import com.pcloud.book.guide.entity.PcloudRobotWakeupClassify;
import com.pcloud.book.pcloudKeyword.dto.RobotClassifyDTO;
import com.pcloud.book.pcloudkeyword.facade.response.PcloudRobotClassifyResponseVO;

import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PcloudRobotWakeupClassifyMapper {


    int insert(PcloudRobotWakeupClassify pcloudRobotWakeupClassify);

    int batchInsert(List<PcloudRobotWakeupClassify> pcloudRobotWakeupClassifies);

    void deleteAll();

    List<RobotClassifyDTO> getRobotClassifyByWakeUpId(Integer wakeUpId);

    void deleteByWakeUpId(Integer wakeUpId);
}